User

Description

Get a user's info by its sec ID. You can use the search user by keyword endpoint to find a user's sec ID. Learn about a user's name and nickname, profile photo, bio, statistics, and other social IDs if exists.

Endpoint

GET api/v1/realtime/social/tiktok/v1/user/{id}/info

Parameters

Param
Required
Param Type
Description

id

Yes

Path Param

String | The user sec ID

chevron-rightExample Requesthashtag
curl -X GET 'https://api.webit.live/api/v1/realtime/social/tiktok/v1/user/MS4wLjABAAAAagrED-9e0PuAsTj1jvpOC5zJqYcDGio4mth3ITSox66IHjZXodqIGu0R274m59j0/info' \
--header 'Authorization: Basic <credential string>'
chevron-rightExample Responsehashtag
{
    "nickname": "Kris Chanski",
    "user_name": "kris_chanski",
    "posts_count": 512,
    "uid": "6893209667481912326",
    "sec_uid": "MS4wLjABAAAAagrED-9e0PuAsTj1jvpOC5zJqYcDGio4mth3ITSox66IHjZXodqIGu0R274m59j0",
    "profile_photo": {
        "300x300": "https://p19-pu-sign-useast8.tiktokcdn-us.com/tos-useast5-avt-0068-tx/18829b5dea9dcd612dca471c889d1609~tplv-tiktokx-cropcenter:300:300.webp?dr=9638&refresh_token=3a50cec9&x-expires=1741456800&x-signature=YAvDl3kTebjTE8aiM9TCZXWVHyA%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=2472a6c6&idc=useast5",
        "medium": "https://p19-pu-sign-useast8.tiktokcdn-us.com/tos-useast5-avt-0068-tx/18829b5dea9dcd612dca471c889d1609~tplv-tiktokx-cropcenter:720:720.webp?dr=9640&refresh_token=87d532ca&x-expires=1741456800&x-signature=Ubt2JongBWj8cJidqP0yIFHyGn8%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=2472a6c6&idc=useast5",
        "larger": "https://p19-pu-sign-useast8.tiktokcdn-us.com/tos-useast5-avt-0068-tx/18829b5dea9dcd612dca471c889d1609~tplv-tiktokx-cropcenter:1080:1080.webp?dr=9640&refresh_token=83f29670&x-expires=1741456800&x-signature=HRxajLe%2BUWPGuMM564nN6xNFKus%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=2472a6c6&idc=useast5",
        "thumb": "https://p16-pu-sign-useast8.tiktokcdn-us.com/tos-useast5-avt-0068-tx/18829b5dea9dcd612dca471c889d1609~tplv-tiktokx-cropcenter:100:100.webp?dr=9640&refresh_token=34c6ad97&x-expires=1741456800&x-signature=kOmm8OX9wz0wXgjawC7senONapM%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=2472a6c6&idc=useast5"
    },
    "biography": "Boss Lady at The Range 702\nWork silliness \nLas Vegas",
    "following_count": 294,
    "followers_count": 280606,
    "verification_type": 0,
    "commerce_level": 0,
    "instagram_id": "kris_chanski",
    "youtube_channel_id": "UChH9gQHKvlZ4yJ8Cr746Hcw",
    "youtube_channel_title": "Kris Chanski",
    "total_posts_like_count": 7407348,
    "ban_status": 0
}

Feed

Description

Fetch a user's feed by its sec ID. You can use the search user by keyword endpoint to find a user's sec ID. Up to 9 results per page.

Endpoint

GET api/v1/realtime/social/tiktok/v1/user/{id}/feed

Parameters

Param
Required
Param Type
Description

id

Yes

Path Param

String | The user sec ID

cursor

No

Query Param

String | Cursor for paginate data

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Followers

Description

Retrieve a user's followers list. For each follower, obtain basic information and the sec_id, which can be used with other endpoints to enrich the follower's data. 30 results per page, max 5000 results.

Endpoint

GET api/v1/realtime/social/tiktok/v1/user/{id}/followers

Parameters

Param
Required
Param Type
Description

id

Yes

Path Param

String | The user sec ID

cursor

No

Query Param

String | Cursor for paginate data

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Followings

Description

Retrieve a user's followers list. For each follower, obtain basic information and the sec_id, which can be used with other endpoints to enrich the follower's data. 30 results per page, max 5000 results.

Endpoint

GET api/v1/realtime/social/tiktok/v1/user/{id}/followings

Parameters

Param
Required
Param Type
Description

id

Yes

Path Param

String | The user sec ID

cursor

No

Query Param

String | Cursor for paginate data

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Last updated